Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class CodeVisitorSupport

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport

All Implemented Interfaces:
  GroovyCodeVisitor

    public abstract class CodeVisitorSupport
    extends java.lang.Object

Abstract base class for any GroovyCodeVisitor which by default just walks the code and expression tree

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`void` | `visitArgumentlistExpression(ArgumentListExpression ale)`
`void` | `visitArrayExpression(ArrayExpression expression)`
`void` | `visitAssertStatement(AssertStatement statement)`
`void` | `visitAttributeExpression(AttributeExpression expression)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitBitwiseNegationExpression(BitwiseNegationExpression expression)`
`void` | `visitBlockStatement(BlockStatement block)`
`void` | `visitBooleanExpression(BooleanExpression expression)`
`void` | `visitBreakStatement(BreakStatement statement)`
`void` | `visitBytecodeExpression(BytecodeExpression cle)`
`void` | `visitCaseStatement(CaseStatement statement)`
`void` | `visitCastExpression(CastExpression expression)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClassExpression(ClassExpression expression)`
`void` | `visitClosureExpression(ClosureExpression expression)`
`void` | `visitClosureListExpression(ClosureListExpression cle)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDeclarationExpression(DeclarationExpression expression)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`protected void` | `visitEmptyStatement(EmptyStatement statement)`
`void` | `visitExpressionStatement(ExpressionStatement statement)`
`void` | `visitFieldExpression(FieldExpression expression)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitGStringExpression(GStringExpression expression)`
`void` | `visitIfElse(IfStatement ifElse)`
`void` | `visitListExpression(ListExpression expression)`
`protected void` | `visitListOfExpressions(java.util.List list)`
`void` | `visitMapEntryExpression(MapEntryExpression expression)`
`void` | `visitMapExpression(MapExpression expression)`
`void` | `visitMethodCallExpression(MethodCallExpression call)`
`void` | `visitMethodPointerExpression(MethodPointerExpression expression)`
`void` | `visitNotExpression(NotExpression expression)`
`void` | `visitPostfixExpression(PostfixExpression expression)`
`void` | `visitPrefixExpression(PrefixExpression expression)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitRangeExpression(RangeExpression expression)`
`void` | `visitReturnStatement(ReturnStatement statement)`
`void` | `visitShortTernaryExpression(ElvisOperatorExpression expression)`
`void` | `visitSpreadExpression(SpreadExpression expression)`
`void` | `visitSpreadMapExpression(SpreadMapExpression expression)`
`void` | `visitStaticMethodCallExpression(StaticMethodCallExpression call)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
`void` | `visitTernaryExpression(TernaryExpression expression)`
`void` | `visitThrowStatement(ThrowStatement statement)`
`void` | `visitTryCatchFinally(TryCatchStatement statement)`
`void` | `visitTupleExpression(TupleExpression expression)`
`void` | `visitUnaryMinusExpression(UnaryMinusExpression expression)`
`void` | `visitUnaryPlusExpression(UnaryPlusExpression expression)`
`void` | `visitVariableExpression(VariableExpression expression)`
`void` | `visitWhileLoop(WhileStatement loop)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visitArgumentlistExpression

    public void visitArgumentlistExpression(ArgumentListExpression ale)

### visitArrayExpression

    public void visitArrayExpression(ArrayExpression expression)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement statement)

### visitAttributeExpression

    public void visitAttributeExpression(AttributeExpression expression)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitBitwiseNegationExpression

    public void visitBitwiseNegationExpression(BitwiseNegationExpression expression)

### visitBlockStatement

    public void visitBlockStatement(BlockStatement block)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression expression)

### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)

### visitBytecodeExpression

    public void visitBytecodeExpression(BytecodeExpression cle)

### visitCaseStatement

    public void visitCaseStatement(CaseStatement statement)

### visitCastExpression

    public void visitCastExpression(CastExpression expression)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)

### visitClassExpression

    public void visitClassExpression(ClassExpression expression)

### visitClosureExpression

    public void visitClosureExpression(ClosureExpression expression)

### visitClosureListExpression

    public void visitClosureListExpression(ClosureListExpression cle)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expression)

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression call)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)

### visitDeclarationExpression

    public void visitDeclarationExpression(DeclarationExpression expression)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

### visitEmptyStatement

    protected void visitEmptyStatement(EmptyStatement statement)

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement statement)

### visitFieldExpression

    public void visitFieldExpression(FieldExpression expression)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitGStringExpression

    public void visitGStringExpression(GStringExpression expression)

### visitIfElse

    public void visitIfElse(IfStatement ifElse)

### visitListExpression

    public void visitListExpression(ListExpression expression)

### visitListOfExpressions

    protected void visitListOfExpressions(java.util.List list)

### visitMapEntryExpression

    public void visitMapEntryExpression(MapEntryExpression expression)

### visitMapExpression

    public void visitMapExpression(MapExpression expression)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression call)

### visitMethodPointerExpression

    public void visitMethodPointerExpression(MethodPointerExpression expression)

### visitNotExpression

    public void visitNotExpression(NotExpression expression)

### visitPostfixExpression

    public void visitPostfixExpression(PostfixExpression expression)

### visitPrefixExpression

    public void visitPrefixExpression(PrefixExpression expression)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitRangeExpression

    public void visitRangeExpression(RangeExpression expression)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

### visitShortTernaryExpression

    public void visitShortTernaryExpression(ElvisOperatorExpression expression)

### visitSpreadExpression

    public void visitSpreadExpression(SpreadExpression expression)

### visitSpreadMapExpression

    public void visitSpreadMapExpression(SpreadMapExpression expression)

### visitStaticMethodCallExpression

    public void visitStaticMethodCallExpression(StaticMethodCallExpression call)

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement statement)

### visitTernaryExpression

    public void visitTernaryExpression(TernaryExpression expression)

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement statement)

### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement statement)

### visitTupleExpression

    public void visitTupleExpression(TupleExpression expression)

### visitUnaryMinusExpression

    public void visitUnaryMinusExpression(UnaryMinusExpression expression)

### visitUnaryPlusExpression

    public void visitUnaryPlusExpression(UnaryPlusExpression expression)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)

Groovy Documentation